[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomTrayIcon.OnPaint

Event handler signalled to implement custom drawing for the tray icon.

## Declaration

Source position: extctrls.pp line 1475

`public property TCustomTrayIcon.OnPaint : TNotifyEvent read FOnPaint write FOnPaint;`

## Description

OnPaint is a TNotifyEvent property with the event handler used to implement custom drawing for the tray icon. It is signalled when the widgetset class executes its internal paint routine. The handle in Canvas is valid when OnPaint is executed, and can be used to perform drawing operations for the control Icon.

Remark: | OnPaint is not implemented for the Win32 platform.

## See also

TCustomTrayIcon.Canvas |  | Canvas for the class instance.
TCustomTrayIcon.Icon |  | The Icon or picture that displayed on the tray icon.
TCustomTrayIcon.Icons |  | Image list with the bitmaps used for an animated icon.
TNotifyEvent